> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List all API keys

> Requires the `api_key:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /api-keys
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /api-keys:
    get:
      tags:
        - API Keys
      summary: List all API keys
      description: Requires the `api_key:read` ability.
      operationId: api-keys.index
      parameters:
        - name: sort
          in: query
          description: >-
            Available sorts are `created_at`, `last_used_at`, `expires_at`,
            `name`. You can sort by multiple options by separating them with a
            comma. To sort in descending order, use `-` sign in front of the
            sort, for example: `-created_at`.
          schema:
            type: string
            default: '-created_at'
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 10
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: include
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - creator
          explode: false
        - name: fields[api-keys]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - name
                - token
                - abilities
                - created_at
                - last_used_at
                - expires_at
          explode: false
        - name: fields[users]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - name
                - email
                - created_at
                - updated_at
          explode: false
        - name: filter[name]
          in: query
          description: Filter by API key name.
          schema:
            type: string
            examples:
              - Production key
      responses:
        '200':
          description: Paginated set of `ApiKeyResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ApiKeyResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  included:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserResource'
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    ApiKeyResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: api-keys
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The name of the API key.
            token:
              type:
                - string
                - 'null'
              description: The plain text token, only shown once when created.
            abilities:
              type: array
              description: The abilities/permissions for the API key.
              items:
                type: string
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            last_used_at:
              type: string
              description: ISO 8601 formatted date-time.
            expires_at:
              type: string
              description: ISO 8601 formatted date-time.
        relationships:
          type: object
          properties:
            creator:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      const: users
                  required:
                    - id
                    - type
              required:
                - data
      required:
        - id
        - type
      title: ApiKeyResource
    UserResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: users
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The name of the user.
            email:
              type: string
              description: The email address of the user.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: UserResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````